﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class AnimatedObstacle : MonoBehaviour {

    [AutoFind(typeof(Animator))] public Animator localAnim;
    public float animSpeed = 1;
    public float delayBeforeStart;

    private void Start()
    {
        if(delayBeforeStart == 0)
        {
            localAnim.speed = animSpeed;
        }
        else
        {
            localAnim.speed = 0;
            StartCoroutine("StartAfterDelay");
        }
    }

    private IEnumerator StartAfterDelay()
    {
        yield return new WaitForSeconds(delayBeforeStart);
        localAnim.speed = animSpeed;
    }
}
