﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CameraBehavior : MonoBehaviour {

    public enum Mode
    {
        target,
        position
    }

    [Header("Settings")]
    public List<Transform> targets = new List<Transform>();
    public float xOffset;
    public float yOffset;
    public float damping;
    public Mode mode = Mode.position;

    public Vector3 desiredPosition;
    private float averageX;
    private float averageY;
    private Vector3 refVel;

    private void Start()
    {
        desiredPosition = transform.position;
    }

    public void FixedUpdate()
    {
        if (mode == Mode.target)
        {
            averageX = 0f;
            averageY = 0f;
            foreach(Transform _transform in targets)
            {
                averageX += _transform.position.x;
                averageY += _transform.position.y;
            }
            averageX /= targets.Count;
            averageY /= targets.Count;

            desiredPosition = new Vector3(averageX + xOffset, averageY + yOffset, -23f);
        }

        transform.position = Vector3.SmoothDamp(transform.position, desiredPosition, ref refVel, damping);
    }

}
