﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class End : MonoBehaviour
{
    public Transform spot;
    public GameObject meufIdle;
    public GameObject meufDecue;
    public GameObject meufContente;
    public GameObject meufNeutre;

    private bool activated = false;
    private Controller controller;
    private void OnTriggerEnter2D(Collider2D collision)
    {
        controller = collision.GetComponent<Controller>();
        if ((controller != null) && (activated == false))
        {
            GameManager.instance.cameraBehavior.targets.Add(transform.parent.Find("Meuf"));
            activated = true;
            GameManager.instance.leftKey = KeyCode.None;
            GameManager.instance.rightKey = KeyCode.None;

            StartCoroutine(Expression());
        }
    }

    private void FixedUpdate()
    {
        if (activated)
        {
            controller.rb.AddForce((new Vector2(spot.position.x, spot.position.y) - controller.rb.position).normalized * 20f);
        }
    }

    IEnumerator Expression()
    {
        yield return new WaitForSeconds(1f);

        meufContente.SetActive(false);
        meufDecue.SetActive(false);
        meufIdle.SetActive(false);
        meufNeutre.SetActive(false);

        if (controller.attachedNotes.Count < GameManager.instance.limiteDecue)
        {
            meufDecue.SetActive(true);
        }
        else if (controller.attachedNotes.Count < GameManager.instance.limiteNeutre)
        {
            meufNeutre.SetActive(true);
        }
        else
        {
            meufContente.SetActive(true);
        }

        yield return new WaitForSeconds(3f);

        GameManager.instance.FadeToBlack();
    }
}
