﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SpawnerScript : MonoBehaviour {

    public GameObject missileTemplate;
    public float delay;
    public Vector3 missileDirection;
    public Vector3 missileScale;
    public float missileSpeed;
    public float maxDistance;

    private void Start()
    {
        StartCoroutine("SpawnMissiles");
    }

    private IEnumerator SpawnMissiles()
    {
        GameObject newMissile = Instantiate(missileTemplate, transform.position, transform.rotation);
        newMissile.GetComponent<Rigidbody2D>().velocity = missileDirection * missileSpeed;
        newMissile.GetComponent<SpawnedMissile>().spawnerTransform = transform;
        newMissile.GetComponent<SpawnedMissile>().maxDistance = maxDistance;
        newMissile.transform.localScale = missileScale;
        yield return new WaitForSeconds(delay);
        StartCoroutine("SpawnMissiles");
    } 
}

